Withdraw crypto instantly
Make an instant withdrawal from a cryptocurrency balance.
Documentation Index
Fetch the complete documentation index at: https://docs.cryptoprocessing.com/llms.txt
Use this file to discover all available pages before exploring further.
sender_data and the end_user_reference you provide must be associated with the same customer.Headers
Hex-encoded HMAC-SHA512 signature of the request body, generated using your secret key.
Body
Currency to withdraw. For a list of all available currencies, see API currency codes.
Amount to withdraw in sender_currency.
Cryptocurrency address where you want to send funds.
Unique ID of the withdrawal request.
Persistent internal ID of the merchant's end customer who initiates the withdrawal. Use the same value for the same customer across all requests. This value must refer to the same customer described in sender_data.
Do not include personal data, such as the customer's name or email address. Put personal details in sender_data.
Type of the merchant's end customer who initiates the withdrawal. The sender must be the same customer identified by end_user_reference.
Use natural if the sender is an individual person and legal if the sender is a legal entity. The selected type determines which fields must be included in sender_data.
natural, legal Details of the merchant's end customer who initiates the withdrawal.
-
If
sender_typeisnatural, includefirst_name,last_name, anddate_of_birth. Do not includelegal_nameorcountry_of_registration. -
If
sender_typeislegal, includelegal_nameandcountry_of_registration. Do not includefirst_name,last_name, ordate_of_birth.
You can optionally include email for either sender type.
Type of the withdrawal recipient.
Use natural if the recipient is an individual person, legal if the recipient is a legal entity, or self if the recipient is the same person or legal entity as the sender.
The selected type determines whether receiver_data is required and which fields it must contain.
natural, legal, self Details of the withdrawal recipient.
-
If
receiver_typeisnatural, includefirst_name,last_name, anddate_of_birth. Do not includelegal_nameorcountry_of_registration. -
If
receiver_typeislegal, includelegal_nameandcountry_of_registration. Do not includefirst_name,last_name, ordate_of_birth. -
If
receiver_typeisself, do not includereceiver_data.
Response
Created